<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Grn extends Model
{
    use HasFactory;
    protected $fillable = ['branch_id', 'note', 'date', 'vehicle_number'];

    public function branch(){
        return $this->belongsTo(branch::class);
    }

    public function item(){
        return $this->hasMany(GrnHasItem::class);
    }
}
